# vim: set ts=2 sw=2 sts=2 et:
#
# Volume discounts module data dump
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.

XLite\Model\Order\Modifier:
  - {class: 'CDev\VolumeDiscounts\Logic\Order\Modifier\Discount', weight: 50}

XLite\Model\Role\Permission:
  - {code: ROLE_MANAGE_VOLUME_DISCOUNTS, section: Volume discounts, module: CDev\VolumeDiscounts, translations: [{code: en, name: Manage volume discounts}, {code: ru, name: Управление скидками}, {code: es, name: 'Gestionar los descuentos por volumen'}]}

XLite\Model\Role:
  - {translations: [{code: en, name: Volume discounts management}, {code: ru, name: Управление скидками}, {code: es, name: 'Gestión de descuentos por volumes'}], permissions: [{code: ROLE_MANAGE_VOLUME_DISCOUNTS}]}

XLite\Model\LanguageLabel:
  - {name: "Get X off for order amount over Y", translations: [{code: en, label: "Get {{X}} off for order amount over {{Y}}"}]}
  - {name: "Could not add the discount because another discount already exists for the specified subtotal range, membership level, date range and shipping zones", translations: [{code: en, label: "Could not add the discount because another discount already exists for the specified subtotal range, membership level, date range and shipping zones"}]}
  - {name: "Could not update the discount because another discount already exists for the specified subtotal range, membership level, date range and shipping zones", translations: [{code: en, label: "Could not update the discount because another discount already exists for the specified subtotal range, membership level, date range and shipping zones"}]}
  - {name: "Percent discount value cannot exceed 100%", translations: [{code: en, label: "Percent discount value cannot exceed 100%"}]}
  - {name: "Too large value for absolute discount", translations: [{code: en, label: "Too large value for absolute discount"}]}
  - {name: 'itemslist.admin.volume_discounts.blank', translations: [{code: en, label: '<p>No discounts have been set yet. Set up automatic discounts for your customers based on subtotal or membership level. Add the discount using <b>"Add discount"</b> button.</p>'},{code: ru, label: '<p>Нет настроенных скидок. Вы можете настроить автоматическое применение оптовых скидок в зависимости от суммы заказа и группы пользователя с помощью кнопки <b>"Создать скидку"</b>.</p>'}]}
  - {name: 'Minimum order subtotal to which the volume discount can be applied', translations: [{code: en, label: "Minimum order subtotal to which the volume discount can be applied"}]}
  - {name: "Volume discount can be limited to customers with this membership level", translations: [{code: en, label: "Volume discount can be limited to customers with this membership level"}]}
  - {name: "Volume discount can be limited to customers with these address zones", translations: [{code: en, label: "Volume discount can be limited to customers with these address zones"}]}
  - {name: "Date when customers can start using the volume discount", translations: [{code: en, label: "Date when customers can start using the volume discount"}]}
  - {name: "Date when the volume discount expires", translations: [{code: en, label: "Date when the volume discount expires"}]}
  - {name: 'The volume discount has been added', translations: [{code: en, label: 'The volume discount has been added'}]}
  - {name: 'The volume discount has been updated', translations: [{code: en, label: 'The volume discount has been updated'}]}
